Subject: Re: [PATCH net] net: stmmac: remove unneeded stmmac_poll_controller

From: Jakub Kicinski <[email-masked]>
Date: Tue, 5 Sep 2023 15:17:51 -0700

On Thu, 31 Aug 2023 14:00:04 +0200 Remi Pommarel wrote:
> Using netconsole netpoll_poll_dev could be called from interrupt
> context, thus using disable_irq() would cause the following kernel
> warning with CONFIG_DEBUG_ATOMIC_SLEEP enabled:

Could you rebase this on top of netdev/net? It does not apply:

Failed to apply patch:
Applying: net: stmmac: remove unneeded stmmac_poll_controller
Using index info to reconstruct a base tree...
M	drivers/net/ethernet/stmicro/stmmac/stmmac_main.c
Falling back to patching base and 3-way merge...
Auto-merging drivers/net/ethernet/stmicro/stmmac/stmmac_main.c
CONFLICT (content): Merge conflict in drivers/net/ethernet/stmicro/stmmac/stmmac_main.c
Recorded preimage for 'drivers/net/ethernet/stmicro/stmmac/stmmac_main.c'
error: Failed to merge in the changes.
hint: Use 'git am --show-current-patch=diff' to see the failed patch
Patch failed at 0001 net: stmmac: remove unneeded stmmac_poll_controller
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".